/* General css rules */
* {
  border: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  font-family: "Nunito Sans", sans-serif;
  text-decoration: none;
  scroll-behavior: smooth;
}

/* Section 1 */
.navbar{
    padding: 0;
}
.navbarWrapper{
    width:100%;
}
.footerWrapper{
    height:100%!important;
    width:100%!important;
    max-height: 100%!important;
}
.footerWrapper .logoContainer{
    width: 200px;
}
.footerWrapper .footerLogo{
    width: 100%;
    height:100%;
}
.footerContainer{
    width: 45%!important;
    margin-top: 0%!important;
}
.follow_us a{
    margin: 0 6px;
}
.follow_us a i{
    transform: rotate(0deg);
    transition: all ease-in-out .6s;
}
.follow_us a:hover i{
    transform: rotate(360deg);
}
.playStoreContainer{
    height:100%!important;
    padding:12px 14px!important;
}
.playStoreWrapper .playStore{
    height: 100%;
    width: 200px!important;
}
.footerContainer a{
    text-decoration: none!important;
}
.section1 {
  background: rgb(88, 153, 204);
  background: linear-gradient(
    180deg,
    rgba(88, 153, 204, 1) 0%,
    rgba(217, 232, 243, 1) 59%,
    rgba(255, 255, 255, 1) 100%
  );
  padding-top: 90px;
}
.section1Grid {
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  padding: 22px 0;
  place-items: center;
  gap: 0%;
  height: 100%;
}
.section1Left {
  display: flex;
  color: black;
  flex-direction: column;
}
.searchAndFind {
  font-size: 35px;
  font-weight: 800;
}
.section1Heading {
  font-size: 35px;
  font-weight: 800;
}
.section1Para {
  font-size: 18px;
  font-weight: 400;
  margin-bottom: 10px;
  width: 70%;
}
.section1SearchbarContainer {
  margin: 20px 0px -20px 0px;
  height: 50px;
  width: 70%;
  background-color: white;
  border-radius: 10px;
  outline: 1px solid rgb(88, 153, 204);
  overflow: hidden;
}
.section1SearchbarButton {
  background-color: #396383;
  border-radius: 10px;
  margin-right: 2%;
  height: 80%;
  padding: 0% 5%;
  color: white;
  font-size: 16px;
}
.section1SearchbarContainer .playStore {
  position: absolute;
}
.section1Right {
  place-content: center;
}
.section1RightImg {
    height: 100%;
    width: 100%;
    object-fit: contain;
}
/* Section 2 */
.quote {
  margin-left: 5%;
}
.section2 {
  background: url("../images/city\ bg.png");
  height: 100%;
  margin-left: auto;
  margin-right: auto;
}
.cityHeading {
  text-align: center;
  margin-top: 35px;
  font-size: 40px;
  font-weight: 800;
}
.cityListContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  padding: 5%;
  padding-top: 3%;
  gap: 20px;
}
.cityDetails {
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10%;
  padding-left: 20%;
  border-radius: 10px;
  color: black;
  background-color: rgba(255, 255, 255, 0.6);
  outline: 1px solid #5899cc;
  font-weight: 600;
  font-size: 18px;
  transition: border-left 0.1s ease-in;
}
.cityDetails:hover {
  background-color: #5899cc;
  color:#fff;
  transition: all ease-in-out .4s;
}
.cityListContainer a{
    text-decoration: none;
}

/*                   
#
#
Mobile View Css Rules
#
#
*/
@media only screen and (max-width: 900px) {
  /* Mobile Section 1 Rules*/

  .section1 {
    background: rgb(88, 153, 204);
    background: linear-gradient(
      180deg,
      rgba(88, 153, 204, 1) 0%,
      rgba(217, 232, 243, 1) 59%,
      rgba(255, 255, 255, 1) 100%
    );
    padding-top: 134px;
  }
  .section1Grid {
    display: flex;
    gap: 0%;
    text-align: center;
    width: 100%;
    height: 100%;
    padding: 22px 0 35px;
  }
  .footerContainer a{
    text-decoration: none!important;
   }
  .section1Left {
    display: flex;
    color: black;
    flex-direction: column;
    padding-top: 0vh;
    text-align: center;
    width: 100%;
  }
  .section1Heading {
    font-size: 20px;
    text-align:left;
    font-weight: 900;
    line-height: 22px;
  }
  .searchAndFind {
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    margin-bottom: 10px;
    text-align: left;
  }
  .section1Center {
    background-color: #fff;
  }
  .section1Para {
    display: none;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    margin-left: 2%;
    margin-bottom: 10px;
    width: 90%;
    color: rgba(71, 71, 71, 0.5);
  }
  .section1SearchbarContainer {
    margin-left: auto;
    margin-right: auto;
    height: 50px;
    width: 80%;
    margin-top: 10px;
    background-color: white;
    border-radius: 20px;
    outline: 1px solid rgb(88, 153, 204);
  }
  .section1SearchbarButton {
    background-color: rgb(88, 153, 204);
    border-radius: 20px;
    margin-right: 2%;
    height: 80%;
    padding: 0% 5%;
    color: white;
    font-size: 14px;
  }
  .section1RightImg {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 200px;
    height: auto;
    object-fit: cover;
  }
  .cityName{
     width: calc(100% - 24px);
  }
  .cityDetails img{
     width: 24px;
  }
  /* Mobile Section 2 Rules */
  .quote {
    margin-left: 5%;
    height: 30px;
  }
  .section2 {
    margin: 0% auto 0% auto;
    background: url("../images/city\ bg.png");
    height: 100%;
    padding-bottom: 0px;
  }
  .cityHeading {
    text-align: center;
    font-size: 20px;
    font-weight: 800;
    margin-top: 3px;
  }
  .cityListContainer {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 5%;
    gap: 20px;
    margin-bottom: 2vh;
  }
  .cityDetails {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 6%;
    padding-left: 10%;
    border-radius: 10px;
    color: black;
    background-color: rgba(255, 255, 255, 0.6);
    outline: 1px solid #5899cc;
    font-weight: 500;
    font-size: 16px;
    transition: border-left 0.1s ease-in;
  }
  .cityDetails:hover {
    border-left: 6px solid #5899cc;
  }

  
}
